HelpAction
Keywords: javax.help.HelpAction interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Interface HelpAction

All Known Implementing Classes:
  AbstractHelpAction

public interface HelpAction

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)` Adds a `PropertyChange` listener.
`java.lang.Object` | `getControl()` Getter for property control.
`java.lang.Object` | `getValue(java.lang.String key)` Gets one of this object's properties using the associated key.
`boolean` | `isEnabled()` Getter for property enabled.
`void` | `putValue(java.lang.String key, java.lang.Object value)` Sets one of this object's properties using the associated key.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)` Removes a `PropertyChange` listener.
`void` | `setEnabled(boolean enabled)` Setter for property enabled.

Method Detail

### isEnabled

    public boolean isEnabled()

  Getter for property enabled.

  Returns:
    Value of property enabled.

### setEnabled

    public void setEnabled(boolean enabled)

  Setter for property enabled.

  Parameters:
    `enabled` - New value of property enabled.

### getControl

    public java.lang.Object getControl()

  Getter for property control.

  Returns:
    Value of property control.

### getValue

    public java.lang.Object getValue(java.lang.String key)

  Gets one of this object's properties using the associated key.

  See Also:
    `putValue(java.lang.String, java.lang.Object)`

### putValue

    public void putValue(java.lang.String key,
                         java.lang.Object value)

  Sets one of this object's properties using the associated key. If the value has changed, a `PropertyChangeEvent` is sent to listeners.

  Parameters:
    `key` - a `String` containing the key
    `value` - an `Object` value

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Adds a `PropertyChange` listener. Containers and attached components use these methods to register interest in this `Action` object. When its enabled state or other property changes, the registered listeners are informed of the change.

  Parameters:
    `listener` - a `PropertyChangeListener` object

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Removes a `PropertyChange` listener.

  Parameters:
    `listener` - a `PropertyChangeListener` object
  See Also:
    `addPropertyChangeListener(java.beans.PropertyChangeListener)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD